Web lists-archives.com

Re: Flash proplem






On 03/13/2017 07:00 PM, Ben Caradoc-Davies wrote:
On 14/03/17 10:58, Maureen L Thomas wrote:
I un-installed gnash and I no longer have any flash in Plugins and the
adobe page stated it needed a plugin to use it.  I also re-installed
flash-nonfree but still no reading in Plugins.

What is the output of:

ls -al /usr/lib/flashplugin-nonfree/
total 52
drwxr-xr-x   2 root root  4096 Mar 13 17:53 .
drwxr-xr-x 203 root root 45056 Mar 13 17:53 ..
-rw-r--r--   1 root root  1691 Jun 22  2014 pubkey.asc


I also just tried purging and reinstalling, both with 3.6 (jessie package) and 3.7 (sid), and found them to be horribly broken. The problem is that, when Adobe updates the plugin, the flashplugin-nonfree installation process is broken until the maintainer Bart Martens updates some remote configuration files to enable the new version.

I was able to get it working with the following manual installation of the Adobe .tar.gz. I use this method because it is what the flashplugin-nonfree installer does, and I hope that when the package installer is working, my manual installation will be compatible. I hope that this approach minimises mess.

Download page:
https://get.adobe.com/flashplayer/

Download the .tar.gz (should be the same as this link):
https://get.adobe.com/flashplayer/download/?installer=FP_24.0_for_Linux_64-bit_(.tar.gz)_-_NPAPI&sType=5504&standalone=1

For the next steps, you need to be root.

Extract the library (change the path to where you downloaded the .tar.gz):

tar zxfO /path/to/flash_player_npapi_linux.x86_64.tar.gz libflashplayer.so > /usr/lib/flashplugin-nonfree/libflashplayer.so

Fix permissions:

chmod 644 /usr/lib/flashplugin-nonfree/libflashplayer.so

Register the plugin:

update-alternatives --quiet --install /usr/lib/mozilla/plugins/flash-mozilla.so flash-mozilla.so /usr/lib/flashplugin-nonfree/libflashplayer.so 50

Now see if it works in Tools / Add-ons / Plugins and:
http://www.adobe.com/software/flash/about/

For future manual updates, only the tar command is required.

Kind regards,

When I tried the above I got this message
tar zxf0 /usr/maureen/Downloads/to/flash_player_npapi_linux.x86_64.tar.gz libflashplayer.so > /usr/lib/flashplugin-nonfree/libflashplayer.so
tar: Options '-[0-7][lmh]' not supported by *this* tar
Try 'tar --help' or 'tar --usage' for more information.